import React, {Fragment} from 'react'

import logo_cki from '../images/logo_cki.png'
import logo_gckf from '../images/logo_gckf.png'

function Header(props) {
    return (
        <Fragment>
            <img src={logo_cki} className={"rounded float-left py-2 px-4 bg-white"} height={90} alt="..."></img>
            <img src={logo_gckf} className={"rounded float-right py-2 px-4 bg-white"} height={90} alt="..."></img>
            <div className={'text-center text-black font-weight-bold bg-white'}>
                <div className={'pt-2 font-size-header'}>
                    {props.title}
                </div>
            </div>
        </Fragment>
    )
}

export default Header