import React from 'react'
import {Container} from 'react-bootstrap'

import StartHelper from '../util/StartHelper'
import { PosedDropIn } from '../util/PosedPresets'

export default function StartNext(props) {
    return props.next !== undefined 
    ?
        <PosedDropIn className={'fixed-bottom'} initialPose={'ready'} pose={'drop'} i={10}>
            <Container fluid={true} className={'font-size-form-starter text-center text-white font-weight-bold'}>
                <div className={'border border-3 border-white rounded p-2 m-4 bg-info animation-pulse-info'}>
                    <span>Nächster Start</span>
                    <br/>
                    <span className={'font-size-form-start-next'}>{new StartHelper(props.next).getCompetitorsDisplay()}</span>
                </div>
            </Container> 
        </PosedDropIn>
    : 
        null
}
