const Point = {
    ZERO: {
        id: 'point-0',
        display: '0',
        long: 'Zero',
        value: 0,
        type: 'point',
        ui: false
    }, 
    ONE: {
        id: 'point-1',
        display: '1',
        long: 'One',
        value: 1,
        type: 'point',
        ui: false
    }, 
    TWO: {
        id: 'point-2',
        display: '2',
        long: 'Two',
        value: 2,
        type: 'point',
        ui: false
    }, 
    THREE: {
        id: 'point-3',
        display: '3',
        long: 'Three',
        value: 3,
        type: 'point',
        ui: false
    }, 
    FOUR: {
        id: 'point-4',
        display: '4',
        long: 'Four',
        value: 4,
        type: 'point',
        ui: false
    }, 
    FIVE: {
        id: 'point-5',
        display: '5',
        long: 'Five',
        value: 5,
        type: 'point',
        ui: false
    },
    TIE: {
        id: 'point-x',
        display: 'X',
        long: 'Tie',
        value: 0,
        type: 'point',
        ui: false
    },
    KO: {
        id: 'status-ko',
        display: '',
        long: 'Knocked Out',
        value: 0,
        type: 'status',
        ui: true
    }, 
    DISQUALIFIED: {
        id: 'status-dq',
        display: '',
        long: 'Disqualifiziert',
        value: 0,
        type: 'status',
        ui: true
    },
    WITHDRAWN: {
        id: 'status-wd',
        display: '',
        long: 'Ausgeschieden',
        value: 0,
        type: 'status',
        ui: true
    },
    LOST_BY_JUDGE_DECISION: {
        id: 'status-lost-by-judge-decision',
        display: '',
        long: 'Verloren durch Schiedsrichterentscheidung',
        value: 0,
        type: 'status',
        ui: true
    },
    WINNER: {
        id: 'status-win',
        display: 'WIN',
        long: 'Gewinner',
        value: Number.MAX_SAFE_INTEGER,
        type: 'status',
        ui: false
    },
    get: id => {
        const key = Object.keys(Point).find(key => Point[key].id == id)
        return Point[key]
    }
}

module.exports = Point