const express = require('express')
const dataProvider = require('./../util/dataProvider')
const logger = require('./../util/logger')

module.exports = (displayEmitter) => {
    const router = express.Router()

    /**
     * Zeigt Kachelansicht aller verfügbaren Optionen
     */
    router.get('/', (req, res) => {
        logger.info(logger.LABELS.home, '/')
        res.render('home', {
            title: dataProvider.getCompetition('name'),
            fights: dataProvider.getFights(),
            forms: dataProvider.getForms(),
            apiDisplayChecked
        })
    })

    return router
}