import React from 'react'
import {Container, Row, Col} from 'react-bootstrap'

function NextFight(props) {
    return (
        props.data ? (
            <Container 
                fluid={true} 
                className={'fixed-bottom text-white font-weight-bold p-2 border-top border-white border-3 bg-black font-size-footer'} >
                <Row>
                    <Col className={'text-left pl-5'}>{props.data.red}</Col>
                    {/* <Col className={'text-center col-md-auto'}>Kampf {props.data.number}: {props.data.category}</Col> */}
                    <Col className={'text-center col-md-auto'}>Nächster Kampf</Col>
                    <Col className={'text-right pr-5'}>{props.data.blue}</Col>
                </Row>
            </Container>
        ) : (
            <Container 
                fluid={true} 
                className={'fixed-bottom text-white font-weight-bold p-2 border-top border-white border-3 bg-black font-size-footer'} >
                <Row>
                    <Col className={'text-left pl-5'}></Col>
                    <Col className={'text-center col-md-auto'}>Dies ist der letzte Kampf</Col>
                    <Col className={'text-right pr-5'}></Col>
                </Row>
            </Container>
        )
    )
}

export default NextFight