import React from 'react'
import {Container, Row, Col} from 'react-bootstrap'
import FormStarter from './FormStarter'
import FormStarterResult from './FormStarterResult'

import FormHelper from './../util/FormHelper'

export default class FormInProgress extends React.Component {

    getStarter = () => new FormHelper(this.props.form).getStarter()

    getStarterResult = () => new FormHelper(this.props.form).getStarterResult()

    render() {
        return (
            <Container fluid={true}>
                <Row>
                    <Col sm={4}>
                        <FormStarter starts={this.getStarter()}/>
                    </Col>
                    <Col sm={{span: 7, offset: 1}}>
                        <FormStarterResult starts={this.getStarterResult()}/>
                    </Col>
                </Row>
            </Container>
        )
    }
}