import React from 'react'
import {Container, Row, Col} from 'react-bootstrap'

import StartHelper from './../util/StartHelper'

export default function FormNotTopThree(props) {
    const startHelper = new StartHelper(props.start)
    return (
        <Container fluid={true} className={'font-size-form-starter text-white font-weight-bold p-0 m-0'}>
            <Row className={''}>
                <Col sm={1} className={'text-center border-right'}>
                    {startHelper.isDisabled() ? '-' : props.index + 1}
                </Col>
                <Col sm={9} className={startHelper.isDisabled() ? 'text-left bg-black font-disabled' : 'text-left text-white bg-black'}>
                    {startHelper.getCompetitorsDisplay()}
                </Col>
                <Col sm={2} className={'text-right'}>
                    {startHelper.getOverallStandingDisplay()}
                </Col>
            </Row>
        </Container>
    )
}