import React, { Fragment } from 'react'
import FormCategory from './FormCategory'

import StartCompetitor from './StartCompetitor'
import StartJudging from './StartJudging'
import StartNext from './StartNext'

export default function Start(props) {
    return (
        <Fragment>
            <FormCategory category={props.form.category}/>
            <StartCompetitor start={props.start}/>
            <StartJudging start={props.start} result={props.result}/>
            <StartNext next={props.next}/>
        </Fragment>
    )
}